Observation $observation-create

post/Observation/$observation-create
Page View

This resource contains one or more results, findings, or measurements to inform a patient’s clinical condition (e.g., vitals, imaging results, lab results, device measurements).

Observations can help to identify baselines and patterns or define personal characteristics for a patient (e.g., height, weight, eye color). A DiagnosticReport resource may reference Observation resources to provide the metadata for a complete diagnostic report.

You can review, retrieve, create, or update observations for a patient.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$observation-create

Save a standalone or collection of observations to your connection's system. Review tips for saving vitals.

To create an entire report, use the DiagnosticReport$diagnosticreport-create operation instead. 

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Observation/$observation-create' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxObservationCreateBundleExample",
8
"type": "message",
9
"timestamp": "2021-06-17T20:33:22.422Z",
10
"entry": [
11
{
12
"resource": {
13
"resourceType": "MessageHeader",
14
"id": "RedoxObservationCreateMessageHeaderExample",
15
"source": {
16
"name": "Good Health Clinics",
17
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
18
},
19
"eventUri": "https://fhir.redoxengine.com/EventDefinition/ObservationCreate",
20
"focus": [
21
{
22
"reference": "Observation/RedoxObservationCreateObservationExample"
23
}
24
]
25
}
26
},
27
{
28
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Observation/RedoxObservationCreateObservationExample",
29
"resource": {
30
"resourceType": "Observation",
31
"id": "RedoxObservationCreateObservationExample",
32
"category": [
33
{
34
"coding": [
35
{
36
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
37
"code": "laboratory"
38
}
39
]
40
}
41
],
42
"status": "final",
43
"code": {
44
"coding": [
45
{
46
"code": "LP56779-9",
47
"display": "Cystic fibrosis",
48
"system": "http://loinc.org"
49
}
50
]
51
},
52
"performer": [
53
{
54
"reference": "Practitioner/RedoxPractitionerExampleJoan"
55
}
56
],
57
"subject": {
58
"reference": "Patient/RedoxPatientExampleTimothy"
59
},
60
"effectiveDateTime": "2022-08-04T14:51:23Z",
61
"encounter": {
62
"reference": "Encounter/RedoxEncounterExample"
63
},
64
"valueString": "This individual is a carrier for Cystic Fibrosis.",
65
"basedOn": [
66
{
67
"type": "ServiceRequest",
68
"identifier": {
69
"value": "6547891230",
70
"system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268"
71
}
72
}
73
]
74
}
75
},
76
{
77
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Patient/RedoxPatientExampleTimothy",
78
"resource": {
79
"resourceType": "Patient",
80
"id": "RedoxPatientExampleTimothy",
81
"meta": {
82
"extension": [
83
{
84
"url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
85
"valueInteger": 1
86
}
87
]
88
},
89
"extension": [
90
{
91
"extension": [
92
{
93
"url": "text",
94
"valueString": "White"
95
}
96
],
97
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
98
},
99
{
100
"extension": [
101
{
102
"url": "ombCategory",
103
"valueCoding": {
104
"code": "2135-2",
105
"system": "urn:oid:2.16.840.1.113883.6.238",
106
"display": "Hispanic or Latino"
107
}
108
},
109
{
110
"url": "text",
111
"valueString": "Hispanic"
112
}
113
],
114
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
115
}
116
],
117
"identifier": [
118
{
119
"value": "0000000001",
120
"system": "urn:redox:health-one:MR"
121
},
122
{
123
"value": "101-01-0001",
124
"system": "http://hl7.org/fhir/sid/us-ssn"
125
}
126
],
127
"name": [
128
{
129
"given": [
130
"Timothy",
131
"Paul"
132
],
133
"family": "Bixby",
134
"use": "official"
135
},
136
{
137
"text": "Billy",
138
"use": "usual"
139
}
140
],
141
"gender": "male",
142
"birthDate": "2008-01-06",
143
"telecom": [
144
{
145
"value": "+18088675301",
146
"system": "phone",
147
"use": "home"
148
},
149
{
150
"value": "+18008675309",
151
"system": "phone",
152
"use": "work"
153
},
154
{
155
"value": "timothy.bixby@redoxengine.com",
156
"system": "email"
157
}
158
],
159
"address": [
160
{
161
"line": [
162
"4762 Hickory Street"
163
],
164
"city": "Monroe",
165
"district": "Greene",
166
"state": "WI",
167
"postalCode": "53566",
168
"country": "US",
169
"use": "home"
170
}
171
],
172
"maritalStatus": {
173
"coding": [
174
{
175
"code": "M",
176
"system": "http://hl7.org/fhir/v3/MaritalStatus",
177
"display": "Married"
178
}
179
],
180
"text": "Married"
181
},
182
"communication": [
183
{
184
"language": {
185
"coding": [
186
{
187
"code": "en",
188
"system": "urn:ietf:bcp:47"
189
}
190
],
191
"text": "English"
192
}
193
}
194
],
195
"contact": [
196
{
197
"name": {
198
"given": [
199
"Barbara"
200
],
201
"family": "Bixby"
202
},
203
"telecom": [
204
{
205
"value": "+18088675303",
206
"system": "phone",
207
"use": "home"
208
},
209
{
210
"value": "barbara.bixby@redoxengine.com",
211
"system": "email"
212
}
213
],
214
"address": {
215
"line": [
216
"4762 Hickory St."
217
],
218
"city": "Monroe",
219
"district": "Green",
220
"state": "WI",
221
"postalCode": "53566",
222
"country": "USA"
223
},
224
"relationship": [
225
{
226
"coding": [
227
{
228
"code": "MTH",
229
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
230
"display": "mother"
231
}
232
],
233
"text": "Mother"
234
},
235
{
236
"coding": [
237
{
238
"code": "C",
239
"system": "http://terminology.hl7.org/CodeSystem/v2-0131",
240
"display": "Emergency Contact"
241
}
242
],
243
"text": "Emergency Contact"
244
}
245
]
246
}
247
],
248
"generalPractitioner": [
249
{
250
"reference": "Practitioner/RedoxPractitionerExamplePat"
251
}
252
],
253
"managingOrganization": {
254
"reference": "Organization/RedoxOrganizationManagingExample"
255
}
256
}
257
},
258
{
259
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Encounter/RedoxEncounterExample",
260
"resource": {
261
"resourceType": "Encounter",
262
"id": "RedoxEncounterExample",
263
"identifier": [
264
{
265
"system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.698084.11",
266
"value": "9601346482"
267
}
268
],
269
"status": "finished",
270
"class": {
271
"code": "IMP",
272
"system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
273
"display": "inpatient encounter"
274
},
275
"type": [
276
{
277
"coding": [
278
{
279
"code": "99222",
280
"system": "http://www.ama-assn.org/go/cpt",
281
"display": "InPatient Admission"
282
}
283
]
284
}
285
],
286
"diagnosis": [
287
{
288
"condition": {
289
"reference": "Condition/RedoxConditionExampleEncounterDx"
290
}
291
}
292
],
293
"participant": [
294
{
295
"individual": {
296
"reference": "Practitioner/RedoxPractitionerExampleEncounter"
297
}
298
}
299
],
300
"location": [
301
{
302
"location": {
303
"reference": "Location/RedoxLocationExampleEncounter"
304
}
305
}
306
],
307
"subject": {
308
"reference": "Patient/RedoxPatientExampleTimothy"
309
},
310
"period": {
311
"start": "2022-02-06T04:00:00.000Z",
312
"end": "2022-02-06T04:15:00.000Z"
313
},
314
"length": {
315
"value": 16,
316
"code": "m",
317
"system": "http://unitsofmeasure.org"
318
},
319
"reasonCode": [
320
{
321
"coding": [
322
{
323
"code": "23360407",
324
"system": "http://snomed.info/sct"
325
}
326
],
327
"text": "Pneumonia"
328
}
329
]
330
}
331
},
332
{
333
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Organization/RedoxOrganizationManagingExample",
334
"resource": {
335
"resourceType": "Organization",
336
"id": "RedoxOrganizationManagingExample",
337
"identifier": [
338
{
339
"value": "1234",
340
"system": "urn:oid:1.2.3.4"
341
}
342
],
343
"active": true,
344
"name": "Custodial Org",
345
"address": [
346
{
347
"line": [
348
"123 Main St"
349
],
350
"city": "Madison",
351
"state": "WI"
352
}
353
],
354
"telecom": [
355
{
356
"value": "1-800-123-4567",
357
"system": "phone"
358
}
359
],
360
"type": [
361
{
362
"text": "Test Type"
363
}
364
]
365
}
366
}
367
],
368
"Meta": {
369
"Logs": [
370
{
371
"ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
372
"AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
373
}
374
],
375
"Test": true,
376
"EventDateTime": "2026-05-14T14:06:57.672Z",
377
"Source": {
378
"ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
379
"Name": "Redox Dev Tools"
380
},
381
"Destinations": [
382
{
383
"ID": "af394f14-b34a-464f-8d24-895f370af4c9",
384
"Name": "Redox EMR"
385
}
386
],
387
"DataModel": "FHIR.Observation",
388
"EventType": "$observation-create"
389
}
390
}'

Request Body Schema

    Bundle sent as part of a Observation-create message

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a message

    Value: message
  • entry
    required, Array of messageHeader, patient, observation, encounter

    Results are typically written as a collection of Observation resources grouped into a DiagnosticReport. To create an entire report, use the DiagnosticReport-create operation.

    Use this endpoint only to create standalone Observations.

    An array of FHIR resources. At a minimum, an Observation Result should include the following entries:

    • Patient - the patient
    • Observation - the observation result

      An entry in the bundle containing a FHIR resource

    • resource
      required, object

      Additional metadata about the message including the event

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        Information about the sender of the message and the Bundle content.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

        • name
          string

          Human-readable name for the source system.

      • focus
        required, Array of object

        This describes the focal target resource of the message from which the remainder of the content is referenced from

        Must be a resource of type Observation.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • eventUri
        required, string

        This describes the message being communicated

  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

Response fields and example

Example
json
1
"Operation Response"

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.